--- title: "Create a term list: Request" slug: "create-a-term-list-request" tags: ["Reference", "NDRC 4.x", "Customer", "Network Security", "NDR 4.x"] updated: 2026-09-09T18:07:45Z published: 2026-09-09T18:07:45Z canonical: "docs.trellix.com/create-a-term-list-request" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Create a term list: Request To create a new term list or to update an existing term list, send the following request: ``` PUT https://:/savedquery/v1/termlist// ``` Required header: ``` Cookie: px= ``` Request body: ``` {  "values" : [    "item1",    "item2",    "item3",    ...  ] } ``` > [!NOTE] > Note > > The request body must be in JSON format. ### Options - IA_IP_address—The IP address of the NDR appliance running the NDR API. - port_number—The port number of the NDR appliance running the NDR API. - user_name—The name of the user. The user_name must match the name of the logged-in user. - term_list_name—The name of the term list. The name can consist of alphanumeric characters and underscores. - token—This token authenticates the session. By default, the session times out after 24 hours. ### Parameters - item*x*—Each item is a string. The maximum number of items is 1000. ### Example ``` PUT https://xxx.xxx.xxx.xxx:443/savedquery/v1/termlist/npadmin/evildomains ``` Required header: ``` Cookie: px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx ``` Request body (must be in JSON): ``` {  "values" : [    "evil1.com.",    "evil2.com.",    "evil3.com."  ] } ``` ### Create a term list: Response ``` HTTP/1.1 [Response Code] [Response Message] Server: [Server] Date: [Date] Content-Type: [Content Type] ``` ###### Response fields - Response code—A standard HTTP response code. - 200—Request successful; the term list was updated. - 201—Request successful; the term list was created. - 4xx—Request unsuccessful. - Response message—A standard HTTP response message. - OK—Request successful; the term list was updated. - Created—Request successful; the term list was created. - Error message—Request unsuccessful. - Server—The server being used. - Date—Standard HTML date format. - Content type—The response format. ###### Example ``` HTTP/1.1 201 Created Server: nginx Date: Thu, 28 Apr 2016 20:23:55 GMT Content-Type: text/plain; charset=utf-8 ``` ### cURL code sample: Create a term list ``` curl -k https://xxx.xxx.xxx.xxx:443/savedquery/v1/termlist/npadmin/evildomains -X PUT --data-binary '{"values": ["evil1.com.", "evil2.com.", "evil3.com."]}' --cookie "px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" -H "Accept: application/json" -H "Content-Type: application/json" ``` This cURL sample includes the following options: - `-k`—This option explicitly allows cURL to perform insecure SSL connections and transfers, which allows you to test your SSL connection without installing a CA certificate. - `https://xxx.xxx.xxx.xxx:443/savedquery/v1/termlist/npadmin/evildomains`—The saved query request URL. Replace `xxx.xxx.xxx.xxx` with the IP address of your NDR appliance. Replace `npadmin` with your user name. Replace `evildomains` with the term list name to create or update. - `-X PUT`—This option specifies using the PUT method. - `--data-binary '{"values": ["evil1.com.", "evil2.com.", "evil3.com."]}'`—This option specifies the values for the new or updated term list. - `--cookie "px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"`—This option specifies the authentication token for this session. - `-H "Accept: application/json"`—This header specifies that the serverʼs response body is expected to be in JSON format. - `-H "Content-Type: application/json"`—This header specifies that the request body is in JSON format. ###### Results This example creates a new term list with the specified name. If the term list name already exists, the values are replaced.